Name: mbrowse
Version: 0.2.3
Release: alt2

Summary: SNMP MIB browser
License: GPL
Group: Networking/Other

URL: http://goldplated.atlcartel.com/mbrowse.html
Source0: http://goldplated.atlcartel.com/%name-%version.tar.bz2
Source1: %name.xpm

Patch0: %name-0.2.3-alt-beautify.patch


# Automatically added by buildreq on Mon Jan 27 2003
BuildRequires: XFree86-devel XFree86-libs glib-devel gtk+-devel libssl-devel libucd-snmp-devel

%description
Mbrowse is an SNMP MIB browser based on GTK and net-snmp.

%prep
%setup -q
%patch0 -p1

%build
%configure
%make_build

%install
%make_build install DESTDIR=%buildroot

%__mkdir_p %buildroot/%_menudir
cat <<EOF >%buildroot/%_menudir/%name
?package(%name): command="%_bindir/%name" needs="X11" section="Networking/Other" title="%name" longtitle="SNMP MIB browser." icon="%name.xpm"
EOF

%__mkdir_p %buildroot/%_iconsdir
%__install -m644 %SOURCE1 %buildroot/%_iconsdir


%post
%update_menus

%postun
%clean_menus

%files
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%_bindir/%name
%_menudir/%name
%_iconsdir/%name.xpm

%changelog
* Sat Jan 25 2003 Dmitry Lebkov <dlebkov@altlinux.ru> 0.2.3-alt2
- rebuild with gcc3.2
- compile warnings cleanup
- menu icon added

* Mon Jul 15 2002 Konstantin Timoshenko <kt@altlinux.ru> 0.2.3-alt1
- Initial spec file
